/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { GeographicShapeSeriesBaseDescription } from "./GeographicShapeSeriesBaseDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export class GeographicPolylineSeriesDescription extends GeographicShapeSeriesBaseDescription {
    constructor() {
        super();
        this.b6 = null;
        this.b4 = null;
        this.b5 = null;
        this.b1 = 0;
        this.b0 = 0;
        this.b7 = null;
    }
    get_type() {
        return "GeographicPolylineSeries";
    }
    get shapeStyleSelectorRef() {
        return this.b6;
    }
    set shapeStyleSelectorRef(a) {
        this.b6 = a;
        this.e("ShapeStyleSelectorRef");
    }
    get shapeFill() {
        return this.b4;
    }
    set shapeFill(a) {
        this.b4 = a;
        this.e("ShapeFill");
    }
    get shapeStroke() {
        return this.b5;
    }
    set shapeStroke(a) {
        this.b5 = a;
        this.e("ShapeStroke");
    }
    get shapeStrokeThickness() {
        return this.b1;
    }
    set shapeStrokeThickness(a) {
        this.b1 = a;
        this.e("ShapeStrokeThickness");
    }
    get shapeOpacity() {
        return this.b0;
    }
    set shapeOpacity(a) {
        this.b0 = a;
        this.e("ShapeOpacity");
    }
    get styleShapeRef() {
        return this.b7;
    }
    set styleShapeRef(a) {
        this.b7 = a;
        this.e("StyleShapeRef");
    }
}
GeographicPolylineSeriesDescription.$t = markType(GeographicPolylineSeriesDescription, 'GeographicPolylineSeriesDescription', GeographicShapeSeriesBaseDescription.$);
